package tutorialJava.capitulo4_Arrays.ejercicios.bloque03;

import tutorialJava.UtilsArrays;

public class Ejercicio02_OrdenacionInsercionDirecta {

	public static void main(String[] args) {
//		int a[] = new int[] {33, 17, 72, 11, 35};
		int a[] = new int[1000];
		
		UtilsArrays.inicializaArray(a, 0, 100);
		UtilsArrays.imprimeArray(a);		
		
        for (int i = 1; i < a.length; i++) {
            int key = a[i];
            int j = i - 1;
            
            // Mueve los elementos del array que son mayores que la clave
            // a una posición adelante de su posición actual
            while (j >= 0 && a[j] > key) {
                a[j + 1] = a[j];
                j = j - 1;
            }
            a[j + 1] = key;
        }

		
		UtilsArrays.imprimeArray(a);

	}

}
